import 'package:example/pages/debug/ads/test/test_ads_controller.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:guru_widgets/pages/settings/guru_settings_page.dart';



class TestAdsPage extends GetWidget<TestAdsController> {
  const TestAdsPage({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    final controller = Get.find<TestAdsController>();
    final model = Get.find<TestAdsController>().model;

    return GuruSettingsPage(
      items: [
        GroupSetting(
          title: "TEST BANNER ADS",
          items: [
            EntranceSetting(title: "Pubmatic", onTap: () async {
              controller.showBanner();
            }), 
          ]
        ),
        GroupSetting(
          title: "TEST INTERSTITIAL ADS",
          items: [
            EntranceSetting(title: "Pubmatic", onTap: () async {
              controller.showInterstitialAd(scene: "test");
            }), 
            EntranceSetting(title: "Guru INTER2INTER", onTap: () async {

            })
          ]
        ),
        GroupSetting(
          title: "TEST REWARDS ADS",
          items: [
            EntranceSetting(title: "Pubmatic", onTap: () async {
              controller.showRewardedAd(scene: "test");
            })
          ]
        )
      ]
    );
  }
}